Retrieve all DTS root CA certificates
Roles
Analytics Events
/v1/ecosystems/certificates/caRetrieves all DTS root CA certificates.
Analytic events
- ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_LIST_START
- ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_LIST_SUCCESS
- ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/ecosystems/certificates/ca"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "organisationName": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z" }, "isManaged": true, "useIntermediateCa": true } ], "nextCursor": "string"}How would you rate this page?
Create a DTS root CA certificate POST
Creates a DTS root CA certificate which is used to sign DTS intermediate and/or signer certificates. - A maximum of three DTS root CA certificates can be created per tenant. ### **Analytic events** * ECOSYSTEM_DTS_CA_CERTIFICATE_CREATE_START * ECOSYSTEM_DTS_CA_CERTIFICATE_CREATE_SUCCESS * ECOSYSTEM_DTS_CA_CERTIFICATE_CREATE_FAIL
Retrieve a DTS root CA certificate GET
Retrieves a DTS root CA certificate. ### **Analytic events** * ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_START * ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_SUCCESS * ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_FAIL